DPDK CI discussions
 help / color / mirror / Atom feed
From: Ali Alnubani <alialnu@oss.nvidia.com>
To: <ci@dpdk.org>
Cc: <thomas@monjalon.net>, <david.marchand@redhat.com>
Subject: [dpdk-ci] [PATCH] tests: run checkpatches.sh from the DPDK directory
Date: Wed, 8 Sep 2021 18:19:36 +0300	[thread overview]
Message-ID: <20210908151936.5556-1-alialnu@nvidia.com> (raw)

The unit test check_release_notes was failing because it didn't
find some of the DPDK sources, which has been causing the CI
script checkpatch.sh to sometimes report false positives.

Signed-off-by: Ali Alnubani <alialnu@nvidia.com>
---
 tests/checkpatch.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/checkpatch.sh b/tests/checkpatch.sh
index 0ce5414..2034e32 100755
--- a/tests/checkpatch.sh
+++ b/tests/checkpatch.sh
@@ -43,7 +43,7 @@ if echo $subject | grep -qi 'v[2-9].*\]' && [ -z "$reply" ] ; then
 	replyto_msg='Must be a reply to the first patch (--in-reply-to).\n\n'
 fi
 
-report=$($dpdkdir/devtools/checkpatches.sh -q $email) || failed=true
+report=$(cd $dpdkdir && devtools/checkpatches.sh -q $email) || failed=true
 report=$(echo "$report" | sed '1,/^###/d')
 
 label='checkpatch'
-- 
2.25.1


             reply	other threads:[~2021-09-08 15:19 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-09-08 15:19 Ali Alnubani [this message]
2021-09-09  8:31 ` David Marchand
2021-09-09 14:47   ` Thomas Monjalon

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210908151936.5556-1-alialnu@nvidia.com \
    --to=alialnu@oss.nvidia.com \
    --cc=ci@dpdk.org \
    --cc=david.marchand@redhat.com \
    --cc=thomas@monjalon.net \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).